use `ombutel`;
-- Get configuration_type_id, setting_id, and setting_type_id from phone-settings for all models
create temporary table if not exists model_settings as
select m.`ident`, s.`setting_id` as parent_id, s.`configuration_type_id`, s.`setting_type_id`
from `xepm_brands` b
join `xepm_models` m on m.`brand_id` = b.`brand_id`
join `xepm_configuration_types` c on c.`model_id` = m.`model_id`
join `xepm_settings` s on s.`configuration_type_id` = c.`configuration_type_id`
where b.`name` = 'snom'
and m.`ident` in ('d712', 'd717', 'd735', 'd765', 'd785')
and s.`name` = 'phone-settings';

-- Add missing settings for d712, d717, d735, d765, d785 models
insert ignore into `xepm_settings`
    (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
select ms.parent_id, ms.configuration_type_id, ms.setting_type_id, s.name, ''
from model_settings ms
cross join (
    select 'custom_bg_image_url' as name
    union all select 'gateway_vlan'
    union all select 'ip_adr_vlan'
    union all select 'netmask_vlan'
    union all select 'vlan_id'
    union all select 'vlan_pc_id'
    union all select 'vlan_pc_priority'
    union all select 'vlan_port_tagging'
    union all select 'vlan_qos'
) s;

drop temporary table if exists model_settings;