use `ombutel`;

create temporary table if not exists vvx_xml_parents as
select m.`name` as model_name, c.`configuration_type_id`, s.`setting_id` as parent_id, s.`setting_type_id`
from `xepm_brands` b
join `xepm_models` m on m.`brand_id` = b.`brand_id`
join `xepm_configuration_types` c on c.`model_id` = m.`model_id`
left join `xepm_settings` s on s.`configuration_type_id` = c.`configuration_type_id` and s.`name` = 'xml' and s.`parent_id` is null
where b.`ident` = 'poly'
and m.`name` like 'VVX%';

insert ignore into `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
select null, vp.`configuration_type_id`, 35, 'xml', ''
from vvx_xml_parents vp
where vp.`parent_id` is null;

update vvx_xml_parents vp
left join `xepm_settings` s on s.`configuration_type_id` = vp.`configuration_type_id`
  and s.`name` = 'xml' and s.`parent_id` is null
set vp.`parent_id` = s.`setting_id`,
    vp.`setting_type_id` = s.`setting_type_id`
where vp.`parent_id` is null;

insert ignore into `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
select vp.parent_id, vp.configuration_type_id, vp.setting_type_id, v.`name`, v.`default`
from vvx_xml_parents vp
cross join (
    select 'APP_FILE_PATH' `name`, '' `default`
    union all select 'CONFIG_FILES', ''
    union all select 'CONTACTS_DIRECTORY', ''
    union all select 'LOG_FILE_DIRECTORY', ''
    union all select 'MISC_FILES', ''
    union all select 'OVERRIDES_DIRECTORY', ''
) v
where not exists (
    select 1
    from `xepm_settings`
    where `parent_id` = vp.parent_id
    and `configuration_type_id` = vp.configuration_type_id
    and `name` = v.`name`
);

drop temporary table if exists vvx_xml_parents;
