(function() {
    const pinForm = $("#pin_form");

    // Initialize autocomplete for description field in add mode
    if($("#pin_form #mode").val() == "add") {
        $("#pin_form").find("[name='description']").autocomplete({
            source: pinListAutoComplete,
            select: function(event, ui) {
                pbx_request("pin", "getContent", "edit", ui.item.id);
            }
        });
    }

    const initPasswordField = function(field) {
        const $field = $(field);
        if ($field.data('password-initialized')) {
            return;
        }
        $field.parent()
            .css('position', 'relative')
            .append('<i class="fa fa-eye password-toggle-icon" data-target="' + $field.attr('name') + '"> </i>');
        $field.prop('type', 'password');
        $field.data('password-initialized', true);
    };

    const initPasswordFields = function() {
        pinForm.find("input[name*='[password]']").each(function() {
            initPasswordField(this);
        });
    };

    $(document).off('click', '.password-toggle-icon').on("click", ".password-toggle-icon", function(e) {
        e.preventDefault();
        e.stopPropagation();

        const $icon = $(this);
        const $input = $icon.parent().find('input[name="' + $icon.data('target') + '"]');

        if ($input.length) {
            $input.prop('type', $input.prop('type') === 'password' ? 'text' : 'password');
            $icon.toggleClass('fa-eye fa-eye-slash');
        }
    });

    initPasswordFields();

    pinForm.on('repeatable:after:add', function(e, container) {
        requestAnimationFrame(function() {
            const newField = container.find("input[name*='[password]']");
            if (newField.length > 0) {
                initPasswordField(newField);
            }
        });
    });
})();